aboutsummaryrefslogtreecommitdiffstats
path: root/main/xcb-proto/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xcb-proto/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xcb-proto/APKBUILD')
-rw-r--r--main/xcb-proto/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/main/xcb-proto/APKBUILD b/main/xcb-proto/APKBUILD
new file mode 100644
index 0000000000..b5b6d966f2
--- /dev/null
+++ b/main/xcb-proto/APKBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xcb-proto
+pkgver=1.6
+pkgrel=0
+pkgdesc="XML-XCB protocol descriptions"
+url="http://xcb.freedesktop.org/"
+license="custom"
+depends=
+makedepends="python"
+source="http://xcb.freedesktop.org/dist/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/${pkgname}-${pkgver}
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install || return 1
+ install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+ install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+}
+md5sums="04313e1d914b44d0e457f6c494fc178b xcb-proto-1.6.tar.bz2"